ECS(7)

NAME

ecs - add client subnet address

DESCRIPTION

This handler adds the EDNS0 client subnet's (RFC 7871) subnet to the current context. If none is found, nothing is added. Other handlers, like geoip or acl can use this data instead of the source IP address.

SYNTAX

    ecs

EXAMPLES

Enable cookies:

    example.org {
        ecs
        whoami
    }

CONTEXT

The ecs handler adds a single key to the context:

When the log handler is used the address is automatically logged as ecs.addr=...

SEE ALSO

See RFC 7871, atomdns-log(7), atomdns-geoip(7) and atomdns-acl(7).